package com.katesoft.scale4j.rttp.subscription.common;

import com.katesoft.scale4j.persistent.model.unified.AbstractPersistentEntity;
import com.katesoft.scale4j.rttp.subscription.IUnaryPredicate;

import java.io.Serializable;

/**
 * predicate that always return true(can be used for general purposes such as debug)
 *
 * @author kate2007
 */
public class TruePredicate<T extends AbstractPersistentEntity> implements IUnaryPredicate<T>, Serializable
{
    @Override
    public boolean execute(T entity)
    {
        return true;
    }
}
